# AP4_OhdrAtom Class Reference

`#include <Ap4OhdrAtom.h>`

Inheritance diagram for AP4_OhdrAtom:

List of all members.

## Public Member Functions
| AP4_OhdrAtom (AP4_UI08 encryption_method, AP4_UI08 padding_scheme, AP4_UI64 plaintext_length, const char *content_id, const char *rights_issuer_url, const AP4_Byte *textual_headers, AP4_Size textual_headers_size)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Atom * | Clone ()
| Create a clone of the object.
AP4_UI08 | GetEncryptionMethod () const
void | SetEncryptionMethod (AP4_UI08 encryption_method)
AP4_UI08 | GetPaddingScheme () const
void | SetPaddingScheme (AP4_UI08 padding_scheme)
AP4_UI64 | GetPlaintextLength () const
const AP4_String & | GetContentId () const
const AP4_String & | GetRightsIssuerUrl () const
const AP4_DataBuffer & | GetTextualHeaders () const
## Static Public Member Functions
static AP4_OhdrAtom * | Create (AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)

## Detailed Description

Definition at line 53 of file Ap4OhdrAtom.h.

## Constructor & Destructor Documentation

AP4_OhdrAtom::AP4_OhdrAtom | ( | AP4_UI08 | encryption_method,
|  | AP4_UI08 | padding_scheme,
|  | AP4_UI64 | plaintext_length,
|  | const char * | content_id,
|  | const char * | rights_issuer_url,
|  | const AP4_Byte * | textual_headers,
|  | AP4_Size | textual_headers_size |
| ) |  |  |

## Member Function Documentation

static AP4_OhdrAtom* AP4_OhdrAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  | `[static]`

virtual AP4_Result AP4_OhdrAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_ContainerAtom.

virtual AP4_Result AP4_OhdrAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Reimplemented from AP4_ContainerAtom.

virtual AP4_Atom* AP4_OhdrAtom::Clone | ( |  | ) | `[virtual]`

Create a clone of the object.

This method returns a clone of the atom, or NULL if the atom cannot be cloned. Override this if your want to make an atom cloneable in a more efficient way than the default implementation.

Reimplemented from AP4_ContainerAtom.

AP4_UI08 AP4_OhdrAtom::GetEncryptionMethod | ( |  | ) | const`[inline]`

Definition at line 76 of file Ap4OhdrAtom.h.

void AP4_OhdrAtom::SetEncryptionMethod | ( | AP4_UI08 | encryption_method | ) | `[inline]`

Definition at line 77 of file Ap4OhdrAtom.h.

AP4_UI08 AP4_OhdrAtom::GetPaddingScheme | ( |  | ) | const`[inline]`

Definition at line 78 of file Ap4OhdrAtom.h.

void AP4_OhdrAtom::SetPaddingScheme | ( | AP4_UI08 | padding_scheme | ) | `[inline]`

Definition at line 79 of file Ap4OhdrAtom.h.

AP4_UI64 AP4_OhdrAtom::GetPlaintextLength | ( |  | ) | const`[inline]`

Definition at line 80 of file Ap4OhdrAtom.h.

const AP4_String& AP4_OhdrAtom::GetContentId | ( |  | ) | const`[inline]`

Definition at line 81 of file Ap4OhdrAtom.h.

const AP4_String& AP4_OhdrAtom::GetRightsIssuerUrl | ( |  | ) | const`[inline]`

Definition at line 82 of file Ap4OhdrAtom.h.

const AP4_DataBuffer& AP4_OhdrAtom::GetTextualHeaders | ( |  | ) | const`[inline]`

Definition at line 83 of file Ap4OhdrAtom.h.

The documentation for this class was generated from the following file:

- Ap4OhdrAtom.h